<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_PrivHoldersList.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_PrivHoldersList.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>List of access right holders</p>
<p> 
    <p>
    This panel allows to find the users (and groups) that are in possession of specific access right.
    In a typical scenario, a shift operator may need to find an expert.
    The panel is presented in Figure 1.
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_PrivHoldersList.png"></td></tr>
<tr><td><span class="caption">Figure 1: The list of access right holders</span></td></tr>
</table></div>
    
    The panel allows to instantly access the detailed information about groups and users displayed in the list.
    Right clicking on one of the entries brings up a pop up window with description of the clicked group (Figure 2)
    or user (Figure 3).
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_PrivHoldersList_grp.png"></td></tr>
<tr><td><span class="caption">Figure 3: Pop-up window with description of a group</span></td></tr>
</table></div>
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_PrivHoldersList_usr.png"></td></tr>
<tr><td><span class="caption">Figure 3: Pop-up window with description of a user</span></td></tr>
</table></div>
    Double-clicking on the item, or choosing <span class="button">Commands&gt;Show detail</span> in the popup brings up
    the panels with detailed information (<a href="fwAccessControl_EditGroup.htm">Edit Group</a> 
    or <a href="fwAccessControl_EditUser.htm">Edit User</a>  panels in read-only mode).
    </p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To find the holders of a certain access right:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	You need to select the access right, by choosing Domain Name and Privilege Name in the selector lists.
	Once both are selected, the lists below will be filled with names of groups and users who are in possession
	of selected access right (i.e. selected privilege level in selected domain).
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To get the details about a user or group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	double-click the name in one of the tables, or right-click on it.
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul>
<li xmlns:html="http://www.w3.org/1999/xhtml"> The contents of this panel does not auto-update when domains, groups or users change
    </li>
<li xmlns:html="http://www.w3.org/1999/xhtml"> Requesting the details of the user or group will not open separate window for every user
    (or group) - it will re-use the single UI module and update its content with every new selection.
    </li>
</ul></td>
</tr>
</tbody></table>
<br><table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Dollar Parameters</strong></td></tr>
<tr bgColor="#00cc00">
<td width="23%"><strong>Name</strong></td>
<td width="62%"><strong>Description</strong></td>
<td width="15%">&nbsp;</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$domain</td>
<td> The domain name which should be pre-set in the Domain selector </td>
<td>optional</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$privilege</td>
<td> The privilege name which should be pre-set in the Privilege selector </td>
<td>optional</td>
</tr>
</tbody></table>
<br>

<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
